# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getAllSPIStarter_query($Accept_Language: String, $currentPage: Int, $pageSize: Int = 20, $providerTypes: [String]) {
  occ_getAllSPIStarter(
    Accept_Language: $Accept_Language
    currentPage: $currentPage
    pageSize: $pageSize
    providerTypes: $providerTypes
  ) {
    ... on occ_SPIStarterList {
      pagination {
        count
        hasNext
        hasPrevious
        page
        pageSize
        totalCount
        totalPages
      }
      results {
        extPointConfigs {
          destination {
            destinationTarget {
              destinations {
                id
                url
              }
            }
            mainDestination
          }
          extensionPointType
        }
        id
        name
        providerType
      }
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}